<ComponentDependency>
  <CreationOrder>
    <Component name="PersistentComponent" />
    <Component name="SerializedComponent" />
    <Component name="EntityGeometryResource" />
    <Component name="EntityComponentBreakable" />
    <Component name="EntityAnimationController" />
    <Component name="EntityComponentBaseBuilding" />
    <Component name="StreamingObjectContainer" />
    <Component name="IUnstreamableObjectContainer" />
    <Component name="PhysicalProxy" />
    <Component name="IEntityPhysicsController" />
    <Component name="InteractableComponent" />
    <Component name="InteractionLinkController" />
    <Component name="ItemPortContainer" />
    <Component name="AttachableComponent" />
    <Component name="ItemControlComponent" />
    <Component name="ItemControllerComponent" />
  </CreationOrder>
  <Dependencies>
    <Component ComponentName="Vehicle">
      <Required ComponentName="EntityComponentHealth" />
      <Required ComponentName="EntityComponentSuperGUID" />
      <Exclude ComponentName="Actor" />
    </Component>
    <Component ComponentName="InteractionLinkController">
      <Required ComponentName="InteractableComponent" />
    </Component>
    <Component ComponentName="InteractionStateMachine">
      <Required ComponentName="InteractableComponent" />
    </Component>
    <Component ComponentName="EntityComponentCarryable">
      <Required ComponentName="InteractableComponent" />
    </Component>
    <Component ComponentName="EntityComponentHackingController">
      <Required ComponentName="EntityComponentUIBindingsVendor" />
    </Component>
    <Component ComponentName="EntityComponentMineable">
      <Required ComponentName="EntityComponentMineableHealth" />
      <Required ComponentName="EntityComponentDissolve" />
    </Component>
    <Component ComponentName="EntityComponentMineableHealth">
      <Required ComponentName="EntityComponentMineable" />
    </Component>
    <Component ComponentName="HarvestableProviderComponent">
      <Required ComponentName="EntityComponentEntityOwnerManager" />
    </Component>
    <Component ComponentName="Actor">
      <Required ComponentName="SCActorActionHandlerComponent" />
      <Required ComponentName="SCActorControlStateHostComponent" />
      <Required ComponentName="SCActorResultStateHostComponent" />
      <Required ComponentName="SCActorRotationComponent" />
      <Required ComponentName="SCActorSuitManager" />
      <Required ComponentName="SCActorFoleyComponent" />
      <Required ComponentName="SCActorEffectsController" />
      <Required ComponentName="SCActorMonitorComponent" />
      <Required ComponentName="SCActorInteractionHelper" />
      <Required ComponentName="SCActorSpatialAwarenessComponent" />
      <Required ComponentName="SCActorViewComponent" />
      <Required ComponentName="GreenZoneObedience" />
      <Required ComponentName="SCActorEmotionComponent" />
      <Required ComponentName="SCBodyHealthComponent" />
      <Required ComponentName="SCActorPhysicsController" />
      <Required ComponentName="AnimatedCharacter" />
    </Component>
    <Component ComponentName="ItemControllerComponent">
      <Required ComponentName="ItemControlComponent" />
    </Component>
    <Component ComponentName="ItemResourceComponent">
      <Required ComponentName="ItemControlComponent" />
      <Required ComponentName="AttachableComponent" />
    </Component>
  </Dependencies>
</ComponentDependency>